Subject: categories: Bibliographical reference needed

From: Philippe Gaucher <[email-masked]>
Date: Tue, 14 Feb 2006 12:52:32 +0100

Dear All,

I would need please a bibliographical reference for the following fact :

"Let C be a complete cocomplete cartesian closed category.  Let I be a small
category. Then the category of functors C^I is cartesian closed."

(If Hom is the internal hom functor of C, let Hom(X_*,Y_*)=\int_i
Hom(X_i,Y_i) ; then the internal hom of C^I is defined by HOM(X_*,Y_*)_j= j
|-> Hom(X_* x 1[j], Y_*) where 1 is the terminal object of C and Z |-> Z[j]
is left adjoint to the i-th evaluation functor X_* |-> X_j)

Thanks in advance. pg.